# Column

Property in [Diagnostic](/2.2/api/csharp/yarn.compiler/yarn.compiler.diagnostic.md)

{% hint style="warning" %}
This property is obsolete and may be removed from a future version of Yarn Spinner.
{% endhint %}

## Summary

Gets the zero-indexed character number in FileName at which the issue begins.

```csharp
public int Column { get };
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.2/api/csharp/yarn.compiler/yarn.compiler.diagnostic/yarn.compiler.diagnostic.column.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
